# samplify_api_client

SamplifyAPIClient - the Ruby gem for the Samplify API

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build samplify_api_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./samplify_api_client-1.0.0.gem
```
(for development, run `gem install --dev ./samplify_api_client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'samplify_api_client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/YOUR_GIT_USERNAME/YOUR_GIT_REPO, then add the following in the Gemfile:

    gem 'samplify_api_client', :git => 'https://github.com/YOUR_GIT_USERNAME/YOUR_GIT_REPO.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'samplify_api_client'

# Setup authorization
SamplifyAPIClient.configure do |config|
  # Configure API key authorization: jwt
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SamplifyAPIClient::AttributesApi.new

country_iso_code = 'country_iso_code_example' # String | Country ISO code

language_iso_code = 'language_iso_code_example' # String | Language ISO code

opts = { 
  id: 'id_example', # String | Only return attributes with the given id
  limit: 10, # Integer | Maximum number of attributes to return
  name: 'name_example', # String | Only return attributes with the given name
  offset: 0, # Integer | The first zero-based offset attribute to return
  sort: ['sort_example'], # Array<String> | Sort the attributes by the given key(s)
  text: 'text_example' # String | Only return attributes with the given text
}

begin
  #list attributes
  result = api_instance.attributes_list(country_iso_code, language_iso_code, opts)
  p result
rescue SamplifyAPIClient::ApiError => e
  puts "Exception when calling AttributesApi->attributes_list: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api.uat.pe.researchnow.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SamplifyAPIClient::AttributesApi* | [**attributes_list**](docs/AttributesApi.md#attributes_list) | **GET** /sample/v1/attributes/{countryIsoCode}/{languageIsoCode} | list attributes
*SamplifyAPIClient::AuthApi* | [**auth_code**](docs/AuthApi.md#auth_code) | **POST** /auth/v1/token/code | code auth
*SamplifyAPIClient::AuthApi* | [**auth_logout**](docs/AuthApi.md#auth_logout) | **POST** /auth/v1/logout | logout auth
*SamplifyAPIClient::AuthApi* | [**auth_password**](docs/AuthApi.md#auth_password) | **POST** /auth/v1/token/password | password auth
*SamplifyAPIClient::AuthApi* | [**auth_refresh**](docs/AuthApi.md#auth_refresh) | **POST** /auth/v1/token/refresh | refresh auth
*SamplifyAPIClient::CategoriesApi* | [**categories_list**](docs/CategoriesApi.md#categories_list) | **GET** /sample/v1/categories/surveyTopics | list categories
*SamplifyAPIClient::CountriesApi* | [**countries_list**](docs/CountriesApi.md#countries_list) | **GET** /sample/v1/countries | list countries
*SamplifyAPIClient::DefaultApi* | [**swaggerswagger_json**](docs/DefaultApi.md#swaggerswagger_json) | **GET** /swagger.json | Download public/swagger/swagger.json
*SamplifyAPIClient::DefaultApi* | [**swaggerswagger_yaml**](docs/DefaultApi.md#swaggerswagger_yaml) | **GET** /swagger.yaml | Download public/swagger/swagger.yaml
*SamplifyAPIClient::EventsApi* | [**events_accept**](docs/EventsApi.md#events_accept) | **POST** /sample/v1/events/{eventId}/accept | accept events
*SamplifyAPIClient::EventsApi* | [**events_get**](docs/EventsApi.md#events_get) | **GET** /sample/v1/events/{eventId} | get events
*SamplifyAPIClient::EventsApi* | [**events_list**](docs/EventsApi.md#events_list) | **GET** /sample/v1/events | list events
*SamplifyAPIClient::EventsApi* | [**events_reject**](docs/EventsApi.md#events_reject) | **POST** /sample/v1/events/{eventId}/reject | reject events
*SamplifyAPIClient::EventsApi* | [**events_reprice**](docs/EventsApi.md#events_reprice) | **POST** /sample/v1/events/lineItems/reprice | reprice events
*SamplifyAPIClient::FeasibilityApi* | [**feasibility_show**](docs/FeasibilityApi.md#feasibility_show) | **GET** /sample/v1/projects/{extProjectId}/feasibility | show feasibility
*SamplifyAPIClient::LineItemsApi* | [**line_items_close**](docs/LineItemsApi.md#line_items_close) | **POST** /sample/v1/projects/{extProjectId}/lineItems/{extLineItemId}/close | close lineItems
*SamplifyAPIClient::LineItemsApi* | [**line_items_create**](docs/LineItemsApi.md#line_items_create) | **POST** /sample/v1/projects/{extProjectId}/lineItems | create lineItems
*SamplifyAPIClient::LineItemsApi* | [**line_items_get**](docs/LineItemsApi.md#line_items_get) | **GET** /sample/v1/projects/{extProjectId}/lineItems/{extLineItemId} | get lineItems
*SamplifyAPIClient::LineItemsApi* | [**line_items_launch**](docs/LineItemsApi.md#line_items_launch) | **POST** /sample/v1/projects/{extProjectId}/lineItems/{extLineItemId}/launch | launch lineItems
*SamplifyAPIClient::LineItemsApi* | [**line_items_list_line_items**](docs/LineItemsApi.md#line_items_list_line_items) | **GET** /sample/v1/projects/{extProjectId}/lineItems | listLineItems lineItems
*SamplifyAPIClient::LineItemsApi* | [**line_items_pause**](docs/LineItemsApi.md#line_items_pause) | **POST** /sample/v1/projects/{extProjectId}/lineItems/{extLineItemId}/pause | pause lineItems
*SamplifyAPIClient::LineItemsApi* | [**line_items_update**](docs/LineItemsApi.md#line_items_update) | **POST** /sample/v1/projects/{extProjectId}/lineItems/{extLineItemId} | update lineItems
*SamplifyAPIClient::ProjectsApi* | [**projects_buy**](docs/ProjectsApi.md#projects_buy) | **POST** /sample/v1/projects/{extProjectId}/buy | buy projects
*SamplifyAPIClient::ProjectsApi* | [**projects_close**](docs/ProjectsApi.md#projects_close) | **POST** /sample/v1/projects/{extProjectId}/close | close projects
*SamplifyAPIClient::ProjectsApi* | [**projects_create**](docs/ProjectsApi.md#projects_create) | **POST** /sample/v1/projects | create projects
*SamplifyAPIClient::ProjectsApi* | [**projects_get**](docs/ProjectsApi.md#projects_get) | **GET** /sample/v1/projects/{extProjectId} | get projects
*SamplifyAPIClient::ProjectsApi* | [**projects_get_report**](docs/ProjectsApi.md#projects_get_report) | **GET** /sample/v1/projects/{extProjectId}/report | getReport projects
*SamplifyAPIClient::ProjectsApi* | [**projects_get_reports**](docs/ProjectsApi.md#projects_get_reports) | **GET** /sample/v1/projects/report | getReports projects
*SamplifyAPIClient::ProjectsApi* | [**projects_get_survey_end_links**](docs/ProjectsApi.md#projects_get_survey_end_links) | **GET** /sample/v1/projects/{extProjectId}/surveys/{surveyId}/links | getSurveyEndLinks projects
*SamplifyAPIClient::ProjectsApi* | [**projects_invoices**](docs/ProjectsApi.md#projects_invoices) | **GET** /sample/v1/projects/{extProjectId}/invoices | invoices projects
*SamplifyAPIClient::ProjectsApi* | [**projects_list**](docs/ProjectsApi.md#projects_list) | **GET** /sample/v1/projects | list projects
*SamplifyAPIClient::ProjectsApi* | [**projects_reconcile**](docs/ProjectsApi.md#projects_reconcile) | **POST** /sample/v1/projects/{extProjectId}/reconcile | reconcile projects
*SamplifyAPIClient::ProjectsApi* | [**projects_update**](docs/ProjectsApi.md#projects_update) | **POST** /sample/v1/projects/{extProjectId} | update projects
*SamplifyAPIClient::RespondentApi* | [**respondent_entry**](docs/RespondentApi.md#respondent_entry) | **GET** /respondent/entry | entry respondent
*SamplifyAPIClient::RespondentApi* | [**respondent_exit**](docs/RespondentApi.md#respondent_exit) | **GET** /respondent/exit | exit respondent
*SamplifyAPIClient::UsersApi* | [**users_get_user_info**](docs/UsersApi.md#users_get_user_info) | **GET** /sample/v1/users/info | getUserInfo users


## Documentation for Models

 - [SamplifyAPIClient::AppError](docs/AppError.md)
 - [SamplifyAPIClient::ApplicationItemData](docs/ApplicationItemData.md)
 - [SamplifyAPIClient::AttributeData](docs/AttributeData.md)
 - [SamplifyAPIClient::AttributeOption](docs/AttributeOption.md)
 - [SamplifyAPIClient::Attributes](docs/Attributes.md)
 - [SamplifyAPIClient::AuthError](docs/AuthError.md)
 - [SamplifyAPIClient::Author](docs/Author.md)
 - [SamplifyAPIClient::BuyProject](docs/BuyProject.md)
 - [SamplifyAPIClient::BuyProjectItem](docs/BuyProjectItem.md)
 - [SamplifyAPIClient::BuyProjectResponse](docs/BuyProjectResponse.md)
 - [SamplifyAPIClient::BuyProjectsPayload](docs/BuyProjectsPayload.md)
 - [SamplifyAPIClient::Categories](docs/Categories.md)
 - [SamplifyAPIClient::CategoryData](docs/CategoryData.md)
 - [SamplifyAPIClient::CodePayload](docs/CodePayload.md)
 - [SamplifyAPIClient::Countries](docs/Countries.md)
 - [SamplifyAPIClient::CountryData](docs/CountryData.md)
 - [SamplifyAPIClient::CreateLineItem](docs/CreateLineItem.md)
 - [SamplifyAPIClient::EndLinks](docs/EndLinks.md)
 - [SamplifyAPIClient::ErrorType](docs/ErrorType.md)
 - [SamplifyAPIClient::Event](docs/Event.md)
 - [SamplifyAPIClient::EventData](docs/EventData.md)
 - [SamplifyAPIClient::EventListData](docs/EventListData.md)
 - [SamplifyAPIClient::Events](docs/Events.md)
 - [SamplifyAPIClient::ExclusionData](docs/ExclusionData.md)
 - [SamplifyAPIClient::Feasibility](docs/Feasibility.md)
 - [SamplifyAPIClient::FeasibilityData](docs/FeasibilityData.md)
 - [SamplifyAPIClient::FeasibilityResponseData](docs/FeasibilityResponseData.md)
 - [SamplifyAPIClient::LineItemActionResponse](docs/LineItemActionResponse.md)
 - [SamplifyAPIClient::LineItemData](docs/LineItemData.md)
 - [SamplifyAPIClient::LineItemItemData](docs/LineItemItemData.md)
 - [SamplifyAPIClient::LineItemReportData](docs/LineItemReportData.md)
 - [SamplifyAPIClient::LineItemResponseData](docs/LineItemResponseData.md)
 - [SamplifyAPIClient::LineItems](docs/LineItems.md)
 - [SamplifyAPIClient::Links](docs/Links.md)
 - [SamplifyAPIClient::LogoutPayload](docs/LogoutPayload.md)
 - [SamplifyAPIClient::Meta](docs/Meta.md)
 - [SamplifyAPIClient::Project](docs/Project.md)
 - [SamplifyAPIClient::ProjectAction](docs/ProjectAction.md)
 - [SamplifyAPIClient::ProjectActionResponse](docs/ProjectActionResponse.md)
 - [SamplifyAPIClient::ProjectCategoryData](docs/ProjectCategoryData.md)
 - [SamplifyAPIClient::ProjectItemData](docs/ProjectItemData.md)
 - [SamplifyAPIClient::ProjectReport](docs/ProjectReport.md)
 - [SamplifyAPIClient::ProjectReportData](docs/ProjectReportData.md)
 - [SamplifyAPIClient::ProjectReports](docs/ProjectReports.md)
 - [SamplifyAPIClient::ProjectResponse](docs/ProjectResponse.md)
 - [SamplifyAPIClient::ProjectResponseData](docs/ProjectResponseData.md)
 - [SamplifyAPIClient::ProjectSurveyEndLinks](docs/ProjectSurveyEndLinks.md)
 - [SamplifyAPIClient::ProjectSurveyEndLinksData](docs/ProjectSurveyEndLinksData.md)
 - [SamplifyAPIClient::Projects](docs/Projects.md)
 - [SamplifyAPIClient::QuotaCell](docs/QuotaCell.md)
 - [SamplifyAPIClient::QuotaCellFeasibility](docs/QuotaCellFeasibility.md)
 - [SamplifyAPIClient::QuotaGroupData](docs/QuotaGroupData.md)
 - [SamplifyAPIClient::QuotaGroupFeasibility](docs/QuotaGroupFeasibility.md)
 - [SamplifyAPIClient::QuotaPlanData](docs/QuotaPlanData.md)
 - [SamplifyAPIClient::Reconcile](docs/Reconcile.md)
 - [SamplifyAPIClient::ReconcileData](docs/ReconcileData.md)
 - [SamplifyAPIClient::RefreshTokenPayload](docs/RefreshTokenPayload.md)
 - [SamplifyAPIClient::Reprice](docs/Reprice.md)
 - [SamplifyAPIClient::RepriceData](docs/RepriceData.md)
 - [SamplifyAPIClient::RepricePayload](docs/RepricePayload.md)
 - [SamplifyAPIClient::Status](docs/Status.md)
 - [SamplifyAPIClient::SupportedLanguage](docs/SupportedLanguage.md)
 - [SamplifyAPIClient::SurveyEndLinks](docs/SurveyEndLinks.md)
 - [SamplifyAPIClient::SurveyTestId](docs/SurveyTestId.md)
 - [SamplifyAPIClient::SurveyTestLink](docs/SurveyTestLink.md)
 - [SamplifyAPIClient::Target](docs/Target.md)
 - [SamplifyAPIClient::TargetingAttribute](docs/TargetingAttribute.md)
 - [SamplifyAPIClient::TokenMedia](docs/TokenMedia.md)
 - [SamplifyAPIClient::TokenPayload](docs/TokenPayload.md)
 - [SamplifyAPIClient::URLParam](docs/URLParam.md)
 - [SamplifyAPIClient::UpdateLineItem](docs/UpdateLineItem.md)
 - [SamplifyAPIClient::UpdateProjectData](docs/UpdateProjectData.md)
 - [SamplifyAPIClient::UpdateProjectLineItem](docs/UpdateProjectLineItem.md)
 - [SamplifyAPIClient::UserInfo](docs/UserInfo.md)
 - [SamplifyAPIClient::UserInfoResponseData](docs/UserInfoResponseData.md)


## Documentation for Authorization


### jwt

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

